#include "locmin.h"
#include <iostream>
std::pair <int, int> find_locmin_point(int N, int M) {
    if(N==1)
    {
        int l=1,r=M;
        while(l+1<r)
        {
            int m1=(l+r)/2;
            int m2=m1+1;
            if(value(1,m1)>value(1,m2))
            {
                l=m2;
            }
            else r=m1;
        }
        if(l<r)
        {
            if(value(1,l)<value(1,r)) return {1,l};
            else return {1,r};
        }
        else return {1,l};
    }
    return {1, 1};
}
